Bug 198719 - databases/py-mssql broken with latest FreeTDS
Summary: databases/py-mssql broken with latest FreeTDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-19 20:01 UTC by Leif Pedersen
Modified: 2015-09-28 18:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leif Pedersen 2015-03-19 20:01:15 UTC
pymssql 1.0.2 is known by its developers[1] to be broken with FreeTDS 0.91 and later. It should be upgraded to 2.x anyway for Python 3. The bug is that DB queries return no rows, and therefore it's unlikely to work for anyone.

[1] http://pymssql.org/en/latest/faq.html#queries-return-no-rows
Comment 1 commit-hook freebsd_committer 2015-09-28 18:44:31 UTC
A commit references this bug:

Author: rm
Date: Mon Sep 28 18:43:53 UTC 2015
New revision: 398134
URL: https://svnweb.freebsd.org/changeset/ports/398134

Log:
  databases/py-mssql: mark broken and deprecated

  pymssql 1.0.2 is known by its developers [1] to be broken with FreeTDS 0.91 and
  later. It should be upgraded to 2.x anyway for Python 3. The bug is that DB
  queries return no rows, and therefore it's unlikely to work for anyone.

  [1] http://pymssql.org/en/latest/faq.html#queries-return-no-rows

  Users should switch to using databases/py-pymssql instead.
  Expiration date is set to 2015-10-28.

  PR:		198719
  Submitted by:	bilbo@hobbiton.org

Changes:
  head/databases/py-mssql/Makefile
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2015-09-28 18:46:42 UTC
Committed, thank you!